/*
 * Intel ACPI Component Architecture
 * AML Disassembler version 20100528
 *
 * Disassembly of SSDT1.dat, Tue Apr 24 16:29:44 2012
 *
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x00001152 (4434)
 *     Revision         0x01
 *     Checksum         0xC3
 *     OEM ID           "TrmRef"
 *     OEM Table ID     "PtidDevc"
 *     OEM Revision     0x00001000 (4096)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20051117 (537202967)
 */
DefinitionBlock ("SSDT1.aml", "SSDT", 1, "TrmRef", "PtidDevc", 0x00001000)
{
    External (TBAB, IntObj)
    External (DTS2)
    External (DTS1)
    External (\_TZ_.TZ02._TMP, IntObj)
    External (\_TZ_.TZ01._TMP, IntObj)
    External (\_TZ_.TZ00._TMP, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.MDT0, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.MPCT, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.HMPL, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.HCPL, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.HGPL, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.HPOL, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.HCTD, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.HGTD, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.HMTL, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.TMPL, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.NCPL, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.NGPL, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.NPOL, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.NCTD, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.NGTD, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.NMTL, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.MMPL, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.MCPL, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.MGPL, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.MPOL, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.MCTD, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.MGTD, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.MMTL, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.SMPL, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.SCPL, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.SGPL, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.SPOL, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.SCTD, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.SGTD, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.SMTL, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.CPUE, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.PAKN, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.MFSP, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.CFSP, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.SYAP)
    External (\_SB_.PCI0.LPCB.H_EC.MCAP, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.CPAP, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.SYSP)
    External (\_SB_.PCI0.LPCB.H_EC.MCHP, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.CPUP, IntObj)
    External (\_SB_.PCI0.LPCB.H_EC.TSD1)
    External (\_SB_.PCI0.LPCB.H_EC.TSD0)
    External (\_SB_.PCI0.LPCB.H_EC.PMDT)
    External (\_SB_.PCI0.LPCB.H_EC.CTV1)
    External (\_SB_.PCI0.LPCB.H_EC.PECI)
    External (\_SB_.PCI0.LPCB.H_EC.PPDT)
    External (\_SB_.PCI0.LPCB.H_EC.PMAX)
    External (\_SB_.PCI0.LPCB.H_EC.DIM1)
    External (\_SB_.PCI0.LPCB.H_EC.DIM0)
    External (\_SB_.PCI0.LPCB.H_EC.AMBT)
    External (\_SB_.PCI0.LPCB.H_EC.SKNT)
    External (\_SB_.PCI0.LPCB.H_EC.FANT)
    External (\_SB_.PCI0.LPCB.H_EC.CVRT)

    Scope (\_SB)
    {
        Device (PTID)
        {
            Name (_HID, EisaId ("INT340E"))
            Name (_CID, EisaId ("PNP0C02"))
            Name (IVER, 0x00020001)
            Method (_STA, 0, NotSerialized)
            {
                Return (0x0F)
            }

            Name (TMPV, Package (0x36)
            {
                Zero, 
                "CPU Core 0 DTS", 
                0x80000000, 
                Zero, 
                "CPU Core 1 DTS", 
                0x80000000, 
                0x03, 
                "CPU VR (IMVP) Temperature", 
                0x80000000, 
                0x03, 
                "Heat Exchanger Fan Temperature", 
                0x80000000, 
                0x03, 
                "Skin Temperature", 
                0x80000000, 
                0x03, 
                "Ambient Temperature", 
                0x80000000, 
                0x02, 
                "DIMM0 Temperature", 
                0x80000000, 
                0x02, 
                "DIMM1 Temperature", 
                0x80000000, 
                Zero, 
                "MCP Temperature", 
                0x80000000, 
                0x05, 
                "PCH DTS Temperature from PCH", 
                0x80000000, 
                Zero, 
                "CPU PECI reading", 
                0x80000000, 
                Zero, 
                "CPU CTV1 value", 
                0x80000000, 
                0x05, 
                "MCH DTS Temperature from PCH", 
                0x80000000, 
                0x02, 
                "TS-on-DIMM0 Temperature", 
                0x80000000, 
                0x02, 
                "TS-on-DIMM1 Temperature", 
                0x80000000, 
                0x02, 
                "TZ00 _TMP", 
                0x80000000, 
                0x02, 
                "TZ01 _TMP", 
                0x80000000, 
                0x02, 
                "TZ02 _TMP", 
                0x80000000
            })
            Name (PWRV, Package (0x12)
            {
                Zero, 
                "CPU Power", 
                0x80000000, 
                One, 
                "Gfx Core Power", 
                0x80000000, 
                0x0A, 
                "System Power", 
                0x80000000, 
                Zero, 
                "CPU Average Power", 
                0x80000000, 
                One, 
                "Gfx Core Average Power", 
                0x80000000, 
                0x0A, 
                "System Average Power", 
                0x80000000
            })
            Name (OSDV, Package (0x8C)
            {
                Zero, 
                "CPU Fan Speed", 
                "RPM", 
                0x80000000, 
                0x05, 
                "GMCH Fan Speed", 
                "RPM", 
                0x80000000, 
                0x0A, 
                "Packet Sequence Number", 
                "RAW", 
                0x80000000, 
                Zero, 
                "CPU energy", 
                "RAW", 
                0x80000000, 
                0x02, 
                "(EC STS) MCP Temperature Limit", 
                "RAW", 
                0x80000000, 
                0x02, 
                "(EC STS) GMCH Turbo Disabled", 
                "RAW", 
                0x80000000, 
                Zero, 
                "(EC STS) CPU Turbo Disabled", 
                "RAW", 
                0x80000000, 
                0x0A, 
                "(EC STS) Policy Preference", 
                "RAW", 
                0x80000000, 
                0x02, 
                "(EC STS) GMCH Power Limit", 
                "RAW", 
                0x80000000, 
                Zero, 
                "(EC STS) CPU Power Limit", 
                "RAW", 
                0x80000000, 
                0x09, 
                "(EC STS) MPC Power Limit", 
                "RAW", 
                0x80000000, 
                0x02, 
                "(MMIO HTS) MCP Temperature Limit - TBARB offset 50h", 
                "RAW", 
                0x80000000, 
                0x02, 
                "(MMIO HTS) GMCH Turbo Disabled - TBARB offset 50h", 
                "RAW", 
                0x80000000, 
                Zero, 
                "(MMIO HTS) CPU Turbo Disabled - TBARB offset 50h", 
                "RAW", 
                0x80000000, 
                0x0A, 
                "(MMIO HTS) Policy Preference - TBARB offset 50h", 
                "RAW", 
                0x80000000, 
                0x02, 
                "(MMIO HTS) GMCH Power Limit - TBARB offset 50h", 
                "RAW", 
                0x80000000, 
                Zero, 
                "(MMIO HTS) CPU Power Limit - TBARB offset 50h", 
                "RAW", 
                0x80000000, 
                0x09, 
                "(MMIO HTS) MPC Power Limit - TBARB offset 50h", 
                "RAW", 
                0x80000000, 
                0x02, 
                "(MMIO STS) MCP Temperature Limit - TBARB offset 98h", 
                "RAW", 
                0x80000000, 
                0x02, 
                "(MMIO STS) GMCH Turbo Disabled - TBARB offset 98h", 
                "RAW", 
                0x80000000, 
                Zero, 
                "(MMIO STS) CPU Turbo Disabled - TBARB offset 98h", 
                "RAW", 
                0x80000000, 
                0x0A, 
                "(MMIO STS) Policy Preference - TBARB offset 98h", 
                "RAW", 
                0x80000000, 
                0x02, 
                "(MMIO STS) GMCH Power Limit - TBARB offset 98h", 
                "RAW", 
                0x80000000, 
                Zero, 
                "(MMIO STS) CPU Power Limit - TBARB offset 98h", 
                "RAW", 
                0x80000000, 
                0x09, 
                "(MMIO STS) MPC Power Limit - TBARB offset A8h", 
                "RAW", 
                0x80000000, 
                0x02, 
                "(EC HTS) MCP Temperature Limit", 
                "RAW", 
                0x80000000, 
                0x02, 
                "(EC HTS) GMCH Turbo Disabled", 
                "RAW", 
                0x80000000, 
                Zero, 
                "(EC HTS) CPU Turbo Disabled", 
                "RAW", 
                0x80000000, 
                0x0A, 
                "(EC HTS) Policy Preference", 
                "RAW", 
                0x80000000, 
                0x02, 
                "(EC HTS) GMCH Power Limit", 
                "RAW", 
                0x80000000, 
                Zero, 
                "(EC HTS) CPU Power Limit", 
                "RAW", 
                0x80000000, 
                0x09, 
                "(EC HTS) MPC Power Limit", 
                "RAW", 
                0x80000000, 
                0x0A, 
                "TBARB - Thermal device offset 40h", 
                "RAW", 
                0x80000000, 
                0x0A, 
                "(EC Buffer) Data Type", 
                "RAW", 
                0x80000000, 
                0x0A, 
                "(EC Buffer) Byte 0", 
                "RAW", 
                0x80000000
            })
            Method (TSDD, 0, NotSerialized)
            {
                Store (Add (Multiply (DTS1, 0x0A), 0x0AAC), Index (TMPV, 
                    0x02))
                Store (Add (Multiply (DTS2, 0x0A), 0x0AAC), Index (TMPV, 
                    0x05))
                Store (Add (Multiply (\_SB.PCI0.LPCB.H_EC.CVRT, 0x0A), 0x0AAC), Index (TMPV, 
                    0x08))
                Store (Add (Multiply (\_SB.PCI0.LPCB.H_EC.FANT, 0x0A), 0x0AAC), Index (TMPV, 
                    0x0B))
                Store (Add (Multiply (\_SB.PCI0.LPCB.H_EC.SKNT, 0x0A), 0x0AAC), Index (TMPV, 
                    0x0E))
                Store (Add (Multiply (\_SB.PCI0.LPCB.H_EC.AMBT, 0x0A), 0x0AAC), Index (TMPV, 
                    0x11))
                Store (Add (Multiply (\_SB.PCI0.LPCB.H_EC.DIM0, 0x0A), 0x0AAC), Index (TMPV, 
                    0x14))
                Store (Add (Multiply (\_SB.PCI0.LPCB.H_EC.DIM1, 0x0A), 0x0AAC), Index (TMPV, 
                    0x17))
                Store (Add (Multiply (\_SB.PCI0.LPCB.H_EC.PMAX, 0x0A), 0x0AAC), Index (TMPV, 
                    0x1A))
                Store (Add (Multiply (\_SB.PCI0.LPCB.H_EC.PPDT, 0x0A), 0x0AAC), Index (TMPV, 
                    0x1D))
                Store (Add (Multiply (ShiftRight (\_SB.PCI0.LPCB.H_EC.PECI, 0x08), 0x0A), 0x0AAC
                    ), Index (TMPV, 0x20))
                If (LNotEqual (TBAB, Zero))
                {
                    Store (Add (Multiply (ShiftRight (\_SB.PCI0.LPCB.H_EC.CTV1, 0x06), 0x0A), 0x0AAC
                        ), Index (TMPV, 0x23))
                }

                Store (Add (Multiply (\_SB.PCI0.LPCB.H_EC.PMDT, 0x0A), 0x0AAC), Index (TMPV, 
                    0x26))
                Store (Add (Multiply (\_SB.PCI0.LPCB.H_EC.TSD0, 0x0A), 0x0AAC), Index (TMPV, 
                    0x29))
                Store (Add (Multiply (\_SB.PCI0.LPCB.H_EC.TSD1, 0x0A), 0x0AAC), Index (TMPV, 
                    0x2C))
                Store (\_TZ.TZ00._TMP, Index (TMPV, 0x2F))
                Store (\_TZ.TZ01._TMP, Index (TMPV, 0x32))
                Store (\_TZ.TZ02._TMP, Index (TMPV, 0x35))
                Return (TMPV)
            }

            Method (PSDD, 0, NotSerialized)
            {
                Store (\_SB.PCI0.LPCB.H_EC.CPUP, Index (PWRV, 0x02))
                Store (\_SB.PCI0.LPCB.H_EC.MCHP, Index (PWRV, 0x05))
                Store (Multiply (\_SB.PCI0.LPCB.H_EC.SYSP, 0x0A), Index (PWRV, 0x08))
                Store (\_SB.PCI0.LPCB.H_EC.CPAP, Index (PWRV, 0x0B))
                Store (\_SB.PCI0.LPCB.H_EC.MCAP, Index (PWRV, 0x0E))
                Store (Multiply (\_SB.PCI0.LPCB.H_EC.SYAP, 0x0A), Index (PWRV, 0x11))
                Return (PWRV)
            }

            Method (OSDD, 0, NotSerialized)
            {
                Store (\_SB.PCI0.LPCB.H_EC.CFSP, Index (OSDV, 0x03))
                Store (\_SB.PCI0.LPCB.H_EC.MFSP, Index (OSDV, 0x07))
                Store (\_SB.PCI0.LPCB.H_EC.PAKN, Index (OSDV, 0x0B))
                Store (\_SB.PCI0.LPCB.H_EC.CPUE, Index (OSDV, 0x0F))
                Store (\_SB.PCI0.LPCB.H_EC.SMTL, Index (OSDV, 0x13))
                Store (\_SB.PCI0.LPCB.H_EC.SGTD, Index (OSDV, 0x17))
                Store (\_SB.PCI0.LPCB.H_EC.SCTD, Index (OSDV, 0x1B))
                Store (\_SB.PCI0.LPCB.H_EC.SPOL, Index (OSDV, 0x1F))
                Store (\_SB.PCI0.LPCB.H_EC.SGPL, Index (OSDV, 0x23))
                Store (\_SB.PCI0.LPCB.H_EC.SCPL, Index (OSDV, 0x27))
                Store (\_SB.PCI0.LPCB.H_EC.SMPL, Index (OSDV, 0x2B))
                If (LNotEqual (TBAB, Zero))
                {
                    Store (\_SB.PCI0.LPCB.H_EC.MMTL, Index (OSDV, 0x2F))
                    Store (\_SB.PCI0.LPCB.H_EC.MGTD, Index (OSDV, 0x33))
                    Store (\_SB.PCI0.LPCB.H_EC.MCTD, Index (OSDV, 0x37))
                    Store (\_SB.PCI0.LPCB.H_EC.MPOL, Index (OSDV, 0x3B))
                    Store (\_SB.PCI0.LPCB.H_EC.MGPL, Index (OSDV, 0x3F))
                    Store (\_SB.PCI0.LPCB.H_EC.MCPL, Index (OSDV, 0x43))
                    Store (\_SB.PCI0.LPCB.H_EC.MMPL, Index (OSDV, 0x47))
                }

                If (LNotEqual (TBAB, Zero))
                {
                    Store (\_SB.PCI0.LPCB.H_EC.NMTL, Index (OSDV, 0x4B))
                    Store (\_SB.PCI0.LPCB.H_EC.NGTD, Index (OSDV, 0x4F))
                    Store (\_SB.PCI0.LPCB.H_EC.NCTD, Index (OSDV, 0x53))
                    Store (\_SB.PCI0.LPCB.H_EC.NPOL, Index (OSDV, 0x57))
                    Store (\_SB.PCI0.LPCB.H_EC.NGPL, Index (OSDV, 0x5B))
                    Store (\_SB.PCI0.LPCB.H_EC.NCPL, Index (OSDV, 0x5F))
                }

                If (LNotEqual (TBAB, Zero))
                {
                    Store (\_SB.PCI0.LPCB.H_EC.TMPL, Index (OSDV, 0x63))
                }

                Store (\_SB.PCI0.LPCB.H_EC.HMTL, Index (OSDV, 0x67))
                Store (\_SB.PCI0.LPCB.H_EC.HGTD, Index (OSDV, 0x6B))
                Store (\_SB.PCI0.LPCB.H_EC.HCTD, Index (OSDV, 0x6F))
                Store (\_SB.PCI0.LPCB.H_EC.HPOL, Index (OSDV, 0x73))
                Store (\_SB.PCI0.LPCB.H_EC.HGPL, Index (OSDV, 0x77))
                Store (\_SB.PCI0.LPCB.H_EC.HCPL, Index (OSDV, 0x7B))
                Store (\_SB.PCI0.LPCB.H_EC.HMPL, Index (OSDV, 0x7F))
                Store (TBAB, Index (OSDV, 0x83))
                Store (\_SB.PCI0.LPCB.H_EC.MPCT, Index (OSDV, 0x87))
                Store (\_SB.PCI0.LPCB.H_EC.MDT0, Index (OSDV, 0x8B))
                Return (OSDV)
            }

            Method (SDSP, 0, NotSerialized)
            {
                Return (0x0A)
            }
        }
    }
}

